Skip to Content
veriom

Workspace context

GET
/v1/workspaces/{workspace_id}/context

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
content_hash*Content Hash
coverage_gaps*array<>
entity_count*Entity Count
evidence_count*Evidence Count
finding_count*Finding Count
generated_at*Generated At
Formatdate-time
id*Id
Formatuuid
relationship_count*Relationship Count
repository_count*Repository Count
schema_version*Schema Version
source_count*Source Count
sources*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/context'
Example Response
{  "content_hash": "string",  "coverage_gaps": [    {}  ],  "entity_count": 0,  "evidence_count": 0,  "finding_count": 0,  "generated_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "relationship_count": 0,  "repository_count": 0,  "schema_version": "string",  "source_count": 0,  "sources": [    {      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "commit_sha": "string",      "coverage": 0,      "family": "string",      "key": "string",      "kind": "string",      "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157",      "missing_signals": [        "string"      ],      "name": "string",      "observed_at": "2019-08-24T14:15:22Z",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "signals": [        "string"      ],      "status": "string"    }  ]}